---
schema-version: '1.1'
name: OpenSearch
version: 3.3.1
platform: linux
architecture: x64
distribution: deb
id: '11470'
rc: '1'
test-run:
  Command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
    opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
  TestType: integ-test
  TestManifest: manifests/3.3.1/opensearch-3.3.1-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb/dist/opensearch/manifest.yml
  TestID: '10430'
components:
  - name: OpenSearch
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component OpenSearch
    repository: https://github.com/opensearch-project/OpenSearch.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/with-security/OpenSearch.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/without-security/OpenSearch.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/OpenSearch/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: alerting
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component alerting
    repository: https://github.com/opensearch-project/alerting.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/with-security/alerting.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/without-security/alerting.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/alerting/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: anomaly-detection
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component anomaly-detection
    repository: https://github.com/opensearch-project/anomaly-detection.git
    configs:
      - name: with-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/with-security/anomaly-detection.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - org.opensearch.ad.rest.AnomalyDetectorRestApiIT#testCreateAnomalyDetector_withFlattenedResultIndex
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/without-security/anomaly-detection.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/anomaly-detection/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: flow-framework
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component flow-framework
    repository: https://github.com/opensearch-project/flow-framework.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/with-security/flow-framework.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/without-security/flow-framework.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/flow-framework/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: asynchronous-search
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component asynchronous-search
    repository: https://github.com/opensearch-project/asynchronous-search.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/with-security/asynchronous-search.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/without-security/asynchronous-search.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/asynchronous-search/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: cross-cluster-replication
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component cross-cluster-replication
    repository: https://github.com/opensearch-project/cross-cluster-replication.git
    configs:
      - name: with-security
        status: Not Available
        yml: URL not available
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/cross-cluster-replication/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/cross-cluster-replication/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/cross-cluster-replication/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/cross-cluster-replication/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - Test Result Not Available
      - name: without-security
        status: Not Available
        yml: URL not available
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/cross-cluster-replication/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/cross-cluster-replication/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/cross-cluster-replication/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/cross-cluster-replication/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - Test Result Not Available
  - name: geospatial
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component geospatial
    repository: https://github.com/opensearch-project/geospatial.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/with-security/geospatial.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/without-security/geospatial.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/geospatial/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: index-management
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component index-management
    repository: https://github.com/opensearch-project/index-management.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/with-security/index-management.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/without-security/index-management.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/index-management/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: k-NN
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component k-NN
    repository: https://github.com/opensearch-project/k-NN.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/with-security/k-NN.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/without-security/k-NN.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/k-NN/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: ml-commons
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component ml-commons
    repository: https://github.com/opensearch-project/ml-commons.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/with-security/ml-commons.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/without-security/ml-commons.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/ml-commons/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: opensearch-learning-to-rank-base
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component opensearch-learning-to-rank-base
    repository: https://github.com/opensearch-project/opensearch-learning-to-rank-base.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/with-security/opensearch-learning-to-rank-base.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/without-security/opensearch-learning-to-rank-base.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-learning-to-rank-base/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: neural-search
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component neural-search
    repository: https://github.com/opensearch-project/neural-search.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/with-security/neural-search.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/without-security/neural-search.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/neural-search/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: notifications
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component notifications
    repository: https://github.com/opensearch-project/notifications.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/with-security/notifications.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/without-security/notifications.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/notifications/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: opensearch-observability
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component opensearch-observability
    repository: https://github.com/opensearch-project/observability.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/with-security/opensearch-observability.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/without-security/opensearch-observability.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-observability/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: opensearch-reports
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component opensearch-reports
    repository: https://github.com/opensearch-project/reporting.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/with-security/opensearch-reports.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/without-security/opensearch-reports.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-reports/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: security
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component security
    repository: https://github.com/opensearch-project/security.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security/with-security/security.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
  - name: security-analytics
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component security-analytics
    repository: https://github.com/opensearch-project/security-analytics.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/with-security/security-analytics.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/without-security/security-analytics.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/security-analytics/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: sql
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component sql
    repository: https://github.com/opensearch-project/sql.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/with-security/sql.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/without-security/sql.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/sql/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: custom-codecs
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component custom-codecs
    repository: https://github.com/opensearch-project/custom-codecs.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/with-security/custom-codecs.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/without-security/custom-codecs.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/custom-codecs/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: skills
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component skills
    repository: https://github.com/opensearch-project/skills.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/with-security/skills.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/without-security/skills.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/skills/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: query-insights
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component query-insights
    repository: https://github.com/opensearch-project/query-insights.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/with-security/query-insights.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/without-security/query-insights.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/query-insights/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: opensearch-system-templates
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component opensearch-system-templates
    repository: https://github.com/opensearch-project/opensearch-system-templates.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/with-security/opensearch-system-templates.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/without-security/opensearch-system-templates.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/opensearch-system-templates/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: user-behavior-insights
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component user-behavior-insights
    repository: https://github.com/opensearch-project/user-behavior-insights.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/with-security/user-behavior-insights.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/without-security/user-behavior-insights.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/user-behavior-insights/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
  - name: search-relevance
    command: ./test.sh integ-test manifests/3.3.1/opensearch-3.3.1-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.1/11470/linux/x64/deb
      --component search-relevance
    repository: https://github.com/opensearch-project/search-relevance.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/with-security/search-relevance.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/without-security/search-relevance.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.1/11470/linux/x64/deb/test-results/10430/integ-test/search-relevance/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
